View Issue Details

IDProjectCategoryView StatusLast Update
07742Bug reportsOtherpublic2013-04-23 16:30
Reportersandrocasali Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00+ 
Fixed in Version2.00+ 
Summary07742: Display "Manage survey administrators" page broken
DescriptionDisplay "Manage survey administrators" page not completed. The list is broken without all users and without the footer.

I modified the code of application/views/admin/user/editusers.php at line 110 from
    $uresult = dbExecuteAssoc($uquery);
to
    $uresult = dbExecuteAssoc($uquery,false,false);

Now the page display this error:
Error executing query in dbExecuteAssoc:CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute.

If i add the code
    $uresult->close();
after line 112
    $srow = $uresult->read();
the page work well.

I don't know if similar problem exists in other palce of application.



thank you and sorry for my english!!!



TagsNo tags attached.
Complete LimeSurvey version number (& build)130325
I will donate to the project if issue is resolvedNo
Browserff and ie
Database & DB-Versionmysql Ver 14.12 Distrib 5.0.95, for redhat-linux-gnu (x86_64) using readline 5.1
Server OS (if known)Linux CentOS release 5.8 (Final)
Webserver software & version (if known)Apache/2.2.3
PHP Version5.1.6

Activities

sandrocasali

sandrocasali

2013-04-08 17:28

reporter  

phpinfo.txt (26,093 bytes)   
PHP Logo <http://www.php.net/>


  PHP Version 5.1.6


System 	Linux sl03usx2.risorse.enel 2.6.18-308.11.1.el5.centos.plus #1
SMP Tue Jul 10 16:44:19 EDT 2012 x86_64
Build Date 	Jun 27 2012 12:23:07
Configure Command 	'./configure' '--build=x86_64-redhat-linux-gnu'
'--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu'
'--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr'
'--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc'
'--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64'
'--libexecdir=/usr/libexec' '--localstatedir=/var'
'--sharedstatedir=/usr/com' '--mandir=/usr/share/man'
'--infodir=/usr/share/info' '--cache-file=../config.cache'
'--with-libdir=lib64' '--with-config-file-path=/etc'
'--with-config-file-scan-dir=/etc/php.d' '--disable-debug' '--with-pic'
'--disable-rpath' '--without-pear' '--with-bz2' '--with-curl'
'--with-exec-dir=/usr/bin' '--with-freetype-dir=/usr'
'--with-png-dir=/usr' '--enable-gd-native-ttf' '--without-gdbm'
'--with-gettext' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr'
'--with-openssl' '--with-png' '--with-pspell' '--with-expat-dir=/usr'
'--with-pcre-regex=/usr' '--with-zlib' '--with-layout=GNU'
'--enable-exif' '--enable-ftp' '--enable-magic-quotes'
'--enable-sockets' '--enable-sysvsem' '--enable-sysvshm'
'--enable-sysvmsg' '--enable-track-vars' '--enable-trans-sid'
'--enable-yp' '--enable-wddx' '--with-kerberos' '--enable-ucd-snmp-hack'
'--with-unixODBC=shared,/usr' '--enable-memory-limit' '--enable-shmop'
'--enable-calendar' '--enable-dbx' '--enable-dio'
'--with-mime-magic=/usr/share/file/magic.mime' '--without-sqlite'
'--with-libxml-dir=/usr' '--with-xml' '--with-system-tzdata'
'--with-apxs2=/usr/sbin/apxs' '--without-mysql' '--without-gd'
'--without-odbc' '--disable-dom' '--disable-dba' '--without-unixODBC'
'--disable-pdo' '--disable-xmlreader' '--disable-xmlwriter'
Server API 	Apache 2.0 Handler
Virtual Directory Support 	disabled
Configuration File (php.ini) Path 	/etc/php.ini
Scan this dir for additional .ini files 	/etc/php.d
additional .ini files parsed 	/etc/php.d/dbase.ini, /etc/php.d/dom.ini,
/etc/php.d/gd.ini, /etc/php.d/json.ini, /etc/php.d/mbstring.ini,
/etc/php.d/mysql.ini, /etc/php.d/mysqli.ini, /etc/php.d/oci8.ini,
/etc/php.d/pdo.ini, /etc/php.d/pdo_mysql.ini, /etc/php.d/pdo_sqlite.ini,
/etc/php.d/soap.ini, /etc/php.d/xmlreader.ini, /etc/php.d/xmlwriter.ini,
/etc/php.d/xsl.ini
PHP API 	20041225
PHP Extension 	20050922
Zend Extension 	220051025
Debug Build 	no
Thread Safety 	disabled
Zend Memory Manager 	enabled
IPv6 Support 	enabled
Registered PHP Streams 	php, file, http, ftp, compress.bzip2,
compress.zlib, https, ftps
Registered Stream Socket Transports 	tcp, udp, unix, udg, ssl, sslv3,
sslv2, tls
Registered Stream Filters 	string.rot13, string.toupper, string.tolower,
string.strip_tags, convert.*, consumed, convert.iconv.*, bzip2.*, zlib.*


Zend logo <http://www.zend.com/> This program makes use of the Zend
Scripting Language Engine:
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies


------------------------------------------------------------------------


  PHP Credits
  </limesurvey/index.php/admin/globalsettings/showphpinfo?=PHPB8B5F2A0-3C92-11d3-A3A9-4C7B08C10000>

------------------------------------------------------------------------


  Configuration


    PHP Core

Directive	Local Value	Master Value
allow_call_time_pass_reference	Off	Off
allow_url_fopen	On	On
always_populate_raw_post_data	Off	Off
arg_separator.input	&	&
arg_separator.output	&	&
asp_tags	Off	Off
auto_append_file	/no value/	/no value/
auto_globals_jit	On	On
auto_prepend_file	/no value/	/no value/
browscap	/no value/	/no value/
default_charset	/no value/	/no value/
default_mimetype	text/html	text/html
define_syslog_variables	Off	Off
disable_classes	/no value/	/no value/
disable_functions	/no value/	/no value/
display_errors	Off	Off
display_startup_errors	Off	Off
doc_root	/no value/	/no value/
docref_ext	/no value/	/no value/
docref_root	/no value/	/no value/
enable_dl	On	On
error_append_string	/no value/	/no value/
error_log	/no value/	/no value/
error_prepend_string	/no value/	/no value/
error_reporting	0	2047
expose_php	On	On
extension_dir	/usr/lib64/php/modules	/usr/lib64/php/modules
file_uploads	On	On
highlight.bg	#FFFFFF	#FFFFFF
highlight.comment	#FF8000	#FF8000
highlight.default	#0000BB	#0000BB
highlight.html	#000000	#000000
highlight.keyword	#007700	#007700
highlight.string	#DD0000	#DD0000
html_errors	On	On
ignore_repeated_errors	Off	Off
ignore_repeated_source	Off	Off
ignore_user_abort	Off	Off
implicit_flush	Off	Off
include_path
.:/opt/limesurvey/200plus-build130325/application/modules:/opt/limesurvey/200plus-build130325/application/controllers:/opt/limesurvey/200plus-build130325/application/models:/opt/limesurvey/200plus-build130325/application/core:/usr/share/pear:/usr/share/php
.:/usr/share/pear:/usr/share/php
log_errors	On	On
log_errors_max_len	1024	1024
magic_quotes_gpc	Off	Off
magic_quotes_runtime	Off	Off
magic_quotes_sybase	Off	Off
mail.force_extra_parameters	/no value/	/no value/
max_execution_time	1200	30
max_file_uploads	20	20
max_input_nesting_level	64	64
max_input_time	60	60
max_input_vars	1000	1000
memory_limit	128M	128M
open_basedir	/no value/	/no value/
output_buffering	4096	4096
output_handler	/no value/	/no value/
post_max_size	8M	8M
precision	14	14
realpath_cache_size	16K	16K
realpath_cache_ttl	120	120
register_argc_argv	Off	Off
register_globals	Off	Off
register_long_arrays	Off	Off
report_memleaks	On	On
report_zend_debug	On	On
safe_mode	Off	Off
safe_mode_exec_dir	/no value/	/no value/
safe_mode_gid	Off	Off
safe_mode_include_dir	/no value/	/no value/
sendmail_from	/no value/	/no value/
sendmail_path	/usr/sbin/sendmail -t -i	/usr/sbin/sendmail -t -i
serialize_precision	100	100
short_open_tag	On	On
SMTP	localhost	localhost
smtp_port	25	25
sql.safe_mode	Off	Off
track_errors	Off	Off
unserialize_callback_func	/no value/	/no value/
upload_max_filesize	2M	2M
upload_tmp_dir	/no value/	/no value/
user_dir	/no value/	/no value/
variables_order	EGPCS	EGPCS
xmlrpc_error_number	0	0
xmlrpc_errors	Off	Off
y2k_compliance	On	On
zend.ze1_compatibility_mode	Off	Off


    apache2handler

Apache Version 	Apache/2.2.3 (CentOS)
Apache API Version 	20051115
Server Administrator 	root@sl03usx2.risorse.enel
Hostname:Port 	sl03usx2.risorse.enel:0
User/Group 	apache(48)/48
Max Requests 	Per Child: 4000 - Keep Alive: on - Max Per Connection: 100
Timeouts 	Connection: 120 - Keep-Alive: 15
Virtual Server 	Yes
Server Root 	/etc/httpd
Loaded Modules 	core prefork http_core mod_so mod_auth_basic
mod_auth_digest mod_authn_file mod_authn_alias mod_authn_anon
mod_authn_dbm mod_authn_default mod_authz_host mod_authz_user
mod_authz_owner mod_authz_groupfile mod_authz_dbm mod_authz_default
util_ldap mod_authnz_ldap mod_include mod_log_config mod_logio mod_env
mod_ext_filter mod_mime_magic mod_expires mod_deflate mod_headers
mod_usertrack mod_setenvif mod_mime mod_dav mod_status mod_autoindex
mod_info mod_dav_fs mod_vhost_alias mod_negotiation mod_dir mod_actions
mod_speling mod_userdir mod_alias mod_rewrite mod_proxy
mod_proxy_balancer mod_proxy_ftp mod_proxy_http mod_proxy_connect
mod_cache mod_suexec mod_disk_cache mod_file_cache mod_mem_cache mod_cgi
mod_version mod_auth_kerb mod_auth_ntlm_winbind mod_auth_pam
mod_auth_sys_group mod_perl mod_php5 mod_proxy_ajp mod_python mod_ssl
mod_dav_svn mod_authz_svn


Directive	Local Value	Master Value
engine	1	1
last_modified	0	0
xbithack	0	0


    Apache Environment

Variable	Value
SCRIPT_URL 	/limesurvey/index.php/admin/globalsettings/showphpinfo
SCRIPT_URI
http://sl03usx2.risorse.enel/limesurvey/index.php/admin/globalsettings/showphpinfo

allow 	1
HTTP_HOST 	sl03usx2.risorse.enel
HTTP_USER_AGENT 	Mozilla/5.0 (X11; Linux i686; rv:20.0) Gecko/20100101
Firefox/20.0
HTTP_ACCEPT
text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
HTTP_ACCEPT_LANGUAGE 	it,it-it;q=0.8,en-us;q=0.5,en;q=0.3
HTTP_ACCEPT_ENCODING 	gzip, deflate
HTTP_REFERER
http://sl03usx2.risorse.enel/limesurvey/index.php/admin/globalsettings
HTTP_COOKIE
SMIDENTITY=kADGbGWV/f/5oRgiKnRazmtTF9qk4CTROuEeyOqFZ82YA+zjb+ceHfArnhTW6oL8LWlOjeY4yYX66LU5Aj1tnjD9GxNLdhUgYN8SQKvg7AAinVKR2rOWs7tQHbgfuyCMNc87JH1hY9QS4btHO+Le/2pDvaoCh4UMaCA5iM4N4vAeJ3Wlsws11h0oI9FF2m6B6zbX6rTqmIo/4crH1pGr96FB/RlfBVVcYTWwuAieS2FiHtN+gTPlixmc1nTIDEtNwihhLbE1CDd1ebU29N3e9YWMp3LsV5tX3wiIVTPujH9u3+c67CaGxX4BETU/JESCYIoutxBRo1z1r41Hmzu7diythnM6JJ0kpXjkFKoYpO6sHPKnLZP8uOioyR81OJ5viPb9gGL2EEqjzrkaBr3ba6KNC+7V+Ax+XZ0GLtLv8Z/84NqWa+5yt5Kkfs0M9fSzgk04koFmmpAAdsHZsyubkqpI5JrbEcrk9p7wvcJST4GqgLm/gPr5u8YBxn05AYI0jY64MY50adUxgEd5JzvocTOa4MB/gSgvjh2aMS8p8bqzQm2cV7BWZalV2iBaxcAc0lUU9CvctY1KkaQAT3fJzMgP1WGyBkbZbBFlqBwvUGnYmQX0P8g4xNHVFpxyNVjWj/PC8rOaLSfuTETyCXfYzl3P37lfdj/m+uy/41d789deLZp0Bf0KpuNAKoIOpOekdTbVJd/MJmjJg75fd279JJgpVvWopCNng5es5q/1ceW5cvwp7afaN45eq3qggAnUgDsjqWUtizgrM6QcvoU3Zy+KAgk2FL7Q;
PHPSESSID=9moicsalm5mclh59t24n5r14l6
HTTP_CONNECTION 	keep-alive
PATH 	/sbin:/usr/sbin:/bin:/usr/bin
SERVER_SIGNATURE 	<address>Apache/2.2.3 (CentOS) Server at
sl03usx2.risorse.enel Port 80</address>
SERVER_SOFTWARE 	Apache/2.2.3 (CentOS)
SERVER_NAME 	sl03usx2.risorse.enel
SERVER_ADDR 	10.36.72.17
SERVER_PORT 	80
REMOTE_ADDR 	10.36.66.60
DOCUMENT_ROOT 	/var/www/html
SERVER_ADMIN 	root@sl03usx2.risorse.enel
SCRIPT_FILENAME 	/var/www/html/limesurvey/index.php
REMOTE_PORT 	56148
GATEWAY_INTERFACE 	CGI/1.1
SERVER_PROTOCOL 	HTTP/1.1
REQUEST_METHOD 	GET
QUERY_STRING 	/no value/
REQUEST_URI 	/limesurvey/index.php/admin/globalsettings/showphpinfo
SCRIPT_NAME 	/limesurvey/index.php
PATH_INFO 	/admin/globalsettings/showphpinfo
PATH_TRANSLATED 	/var/www/html/admin/globalsettings/showphpinfo


    HTTP Headers Information

HTTP Request Headers
HTTP Request 	GET /limesurvey/index.php/admin/globalsettings/showphpinfo
HTTP/1.1
Host 	sl03usx2.risorse.enel
User-Agent 	Mozilla/5.0 (X11; Linux i686; rv:20.0) Gecko/20100101
Firefox/20.0
Accept 	text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language 	it,it-it;q=0.8,en-us;q=0.5,en;q=0.3
Accept-Encoding 	gzip, deflate
Referer
http://sl03usx2.risorse.enel/limesurvey/index.php/admin/globalsettings
Cookie
SMIDENTITY=kADGbGWV/f/5oRgiKnRazmtTF9qk4CTROuEeyOqFZ82YA+zjb+ceHfArnhTW6oL8LWlOjeY4yYX66LU5Aj1tnjD9GxNLdhUgYN8SQKvg7AAinVKR2rOWs7tQHbgfuyCMNc87JH1hY9QS4btHO+Le/2pDvaoCh4UMaCA5iM4N4vAeJ3Wlsws11h0oI9FF2m6B6zbX6rTqmIo/4crH1pGr96FB/RlfBVVcYTWwuAieS2FiHtN+gTPlixmc1nTIDEtNwihhLbE1CDd1ebU29N3e9YWMp3LsV5tX3wiIVTPujH9u3+c67CaGxX4BETU/JESCYIoutxBRo1z1r41Hmzu7diythnM6JJ0kpXjkFKoYpO6sHPKnLZP8uOioyR81OJ5viPb9gGL2EEqjzrkaBr3ba6KNC+7V+Ax+XZ0GLtLv8Z/84NqWa+5yt5Kkfs0M9fSzgk04koFmmpAAdsHZsyubkqpI5JrbEcrk9p7wvcJST4GqgLm/gPr5u8YBxn05AYI0jY64MY50adUxgEd5JzvocTOa4MB/gSgvjh2aMS8p8bqzQm2cV7BWZalV2iBaxcAc0lUU9CvctY1KkaQAT3fJzMgP1WGyBkbZbBFlqBwvUGnYmQX0P8g4xNHVFpxyNVjWj/PC8rOaLSfuTETyCXfYzl3P37lfdj/m+uy/41d789deLZp0Bf0KpuNAKoIOpOekdTbVJd/MJmjJg75fd279JJgpVvWopCNng5es5q/1ceW5cvwp7afaN45eq3qggAnUgDsjqWUtizgrM6QcvoU3Zy+KAgk2FL7Q;
PHPSESSID=9moicsalm5mclh59t24n5r14l6
Connection 	keep-alive
HTTP Response Headers
X-Powered-By 	PHP/5.1.6
Expires 	Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control 	no-store, no-cache, must-revalidate, post-check=0,
pre-check=0
Pragma 	no-cache
Keep-Alive 	timeout=15, max=96
Connection 	Keep-Alive
Transfer-Encoding 	chunked
Content-Type 	text/html; charset=UTF-8


    bz2

BZip2 Support 	Enabled
Stream Wrapper support 	compress.bz2://
Stream Filter support 	bzip2.decompress, bzip2.compress
BZip2 Version 	1.0.3, 15-Feb-2005


    calendar

Calendar support 	enabled


    ctype

ctype functions 	enabled


    curl

CURL support 	enabled
CURL Information 	libcurl/7.15.5 OpenSSL/0.9.8b zlib/1.2.3 libidn/0.6.5


    date

date/time support 	enabled
Timezone Database Version 	0.system
Timezone Database 	internal
Default timezone 	Europe/Berlin


Directive	Local Value	Master Value
date.default_latitude	31.7667	31.7667
date.default_longitude	35.2333	35.2333
date.sunrise_zenith	90.583333	90.583333
date.sunset_zenith	90.583333	90.583333
date.timezone	/no value/	/no value/


    dom

DOM/XML 	enabled
DOM/XML API Version 	20031129
libxml Version 	2.6.26
HTML Support 	enabled
XPath Support 	enabled
XPointer Support 	enabled
Schema Support 	enabled
RelaxNG Support 	enabled


    exif

EXIF Support 	enabled
EXIF Version 	1.4 $Id: exif.c,v 1.173.2.5 2006/04/10 18:23:24 helly Exp $
Supported EXIF Version 	0220
Supported filetypes 	JPEG,TIFF


    ftp

FTP support 	enabled


    gd

GD Support 	enabled
GD Version 	bundled (2.0.28 compatible)
FreeType Support 	enabled
FreeType Linkage 	with freetype
FreeType Version 	2.2.1
GIF Read Support 	enabled
GIF Create Support 	enabled
JPG Support 	enabled
PNG Support 	enabled
WBMP Support 	enabled
XBM Support 	enabled


    gettext

GetText Support 	enabled


    gmp

gmp support 	enabled


    hash

hash support	enabled
Hashing Engines	md4 md5 sha1 sha256 sha384 sha512 ripemd128 ripemd160
whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4
tiger192,4 snefru gost adler32 crc32 crc32b haval128,3 haval160,3
haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4
haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5
haval256,5


    iconv

iconv support 	enabled
iconv implementation 	glibc
iconv library version 	2.5


Directive	Local Value	Master Value
iconv.input_encoding	ISO-8859-1	ISO-8859-1
iconv.internal_encoding	ISO-8859-1	ISO-8859-1
iconv.output_encoding	ISO-8859-1	ISO-8859-1


    json

json support 	enabled
json version 	1.2.1


    libxml

libXML support 	active
libXML Version 	2.6.26
libXML streams 	enabled


    mbstring

Multibyte Support 	enabled
Multibyte string engine 	libmbfl
Multibyte (japanese) regex support 	enabled
Multibyte regex (oniguruma) version 	3.7.1


mbstring extension makes use of "streamable kanji code filter and
converter", which is distributed under the GNU Lesser General Public
License version 2.1.


Directive	Local Value	Master Value
mbstring.detect_order	/no value/	/no value/
mbstring.encoding_translation	Off	Off
mbstring.func_overload	0	0
mbstring.http_input	pass	pass
mbstring.http_output	pass	pass
mbstring.internal_encoding	/no value/	/no value/
mbstring.language	neutral	neutral
mbstring.strict_detection	Off	Off
mbstring.substitute_character	/no value/	/no value/


    mime_magic

mime_magic support	invalid magic file, disabled


Directive	Local Value	Master Value
mime_magic.debug	Off	Off
mime_magic.magicfile	/usr/share/file/magic.mime	/usr/share/file/magic.mime


    mysql

MySQL Support	enabled
Active Persistent Links 	0
Active Links 	0
Client API version 	5.0.95
MYSQL_MODULE_TYPE 	external
MYSQL_SOCKET 	/var/lib/mysql/mysql.sock
MYSQL_INCLUDE 	-I/usr/include/mysql
MYSQL_LIBS 	-L/usr/lib64/mysql -lmysqlclient


Directive	Local Value	Master Value
mysql.allow_persistent	On	On
mysql.connect_timeout	60	60
mysql.default_host	/no value/	/no value/
mysql.default_password	/no value/	/no value/
mysql.default_port	/no value/	/no value/
mysql.default_socket	/no value/	/no value/
mysql.default_user	/no value/	/no value/
mysql.max_links	Unlimited	Unlimited
mysql.max_persistent	Unlimited	Unlimited
mysql.trace_mode	Off	Off


    mysqli

MysqlI Support	enabled
Client API library version 	5.0.95
Client API header version 	5.0.95
MYSQLI_SOCKET 	/var/lib/mysql/mysql.sock


Directive	Local Value	Master Value
mysqli.default_host	/no value/	/no value/
mysqli.default_port	3306	3306
mysqli.default_pw	/no value/	/no value/
mysqli.default_socket	/no value/	/no value/
mysqli.default_user	/no value/	/no value/
mysqli.max_links	Unlimited	Unlimited
mysqli.reconnect	Off	Off


    oci8

OCI8 Support 	enabled
Version 	1.4.5
Revision 	$Revision: 305257 $
Active Persistent Connections 	0
Active Connections 	0
Oracle Version 	10.2
Compile-time ORACLE_HOME 	/opt/oracle/product/10.2.0
Libraries Used 	-Wl,-rpath,/opt/oracle/product/10.2.0/lib
-L/opt/oracle/product/10.2.0/lib -lclntsh
Temporary Lob support 	enabled
Collections support 	enabled


Directive	Local Value	Master Value
oci8.connection_class	/no value/	/no value/
oci8.default_prefetch	100	100
oci8.events	Off	Off
oci8.max_persistent	-1	-1
oci8.old_oci_close_semantics	Off	Off
oci8.persistent_timeout	-1	-1
oci8.ping_interval	60	60
oci8.privileged_connect	Off	Off
oci8.statement_cache_size	20	20


    openssl

OpenSSL support 	enabled
OpenSSL Version 	OpenSSL 0.9.8e-fips-rhel5 01 Jul 2008


    pcre

PCRE (Perl Compatible Regular Expressions) Support 	enabled
PCRE Library Version 	6.6 06-Feb-2006


    PDO

PDO support	enabled
PDO drivers 	mysql, sqlite


    pdo_mysql

PDO Driver for MySQL, client library version	5.0.95


    pdo_sqlite

PDO Driver for SQLite 3.x	enabled
PECL Module version 	1.0.1 $Id: pdo_sqlite.c,v 1.10.2.6 2006/01/01
12:50:12 sniper Exp $
SQLite Library 	3.3.6


    posix

Revision 	$Revision: 1.70.2.3 $


    pspell

PSpell Support 	enabled


    Reflection

Reflection	enabled
Version 	$Id: php_reflection.c,v 1.164.2.33 2006/03/29 14:28:42 tony2001
Exp $


    session

Session Support 	enabled
Registered save handlers 	files user
Registered serializer handlers 	php php_binary wddx


Directive	Local Value	Master Value
session.auto_start	Off	Off
session.bug_compat_42	Off	Off
session.bug_compat_warn	On	On
session.cache_expire	180	180
session.cache_limiter	nocache	nocache
session.cookie_domain	/no value/	/no value/
session.cookie_lifetime	0	0
session.cookie_path	/	/
session.cookie_secure	Off	Off
session.entropy_file	/no value/	/no value/
session.entropy_length	0	0
session.gc_divisor	1000	1000
session.gc_maxlifetime	1440	1440
session.gc_probability	1	1
session.hash_bits_per_character	5	5
session.hash_function	0	0
session.name	PHPSESSID	PHPSESSID
session.referer_check	/no value/	/no value/
session.save_handler	user	files
session.save_path	/var/lib/php/session	/var/lib/php/session
session.serialize_handler	php	php
session.use_cookies	On	On
session.use_only_cookies	Off	Off
session.use_trans_sid	0	0


    shmop

shmop support 	enabled


    SimpleXML

Simplexml support	enabled
Revision 	$Revision: 1.151.2.22 $
Schema support 	enabled


    soap

Soap Client 	enabled
Soap Server 	enabled


Directive	Local Value	Master Value
soap.wsdl_cache	1	1
soap.wsdl_cache_dir	/tmp	/tmp
soap.wsdl_cache_enabled	1	1
soap.wsdl_cache_limit	5	5
soap.wsdl_cache_ttl	86400	86400


    sockets

Sockets Support 	enabled


    SPL

SPL support	enabled
Interfaces 	Countable, OuterIterator, RecursiveIterator,
SeekableIterator, SplObserver, SplSubject
Classes 	AppendIterator, ArrayIterator, ArrayObject,
BadFunctionCallException, BadMethodCallException, CachingIterator,
DirectoryIterator, DomainException, EmptyIterator, FilterIterator,
InfiniteIterator, InvalidArgumentException, IteratorIterator,
LengthException, LimitIterator, LogicException, NoRewindIterator,
OutOfBoundsException, OutOfRangeException, OverflowException,
ParentIterator, RangeException, RecursiveArrayIterator,
RecursiveCachingIterator, RecursiveDirectoryIterator,
RecursiveFilterIterator, RecursiveIteratorIterator, RuntimeException,
SimpleXMLIterator, SplFileInfo, SplFileObject, SplObjectStorage,
SplTempFileObject, UnderflowException, UnexpectedValueException


    standard

Regex Library 	Bundled library enabled
Dynamic Library Support 	enabled
Path to sendmail 	/usr/sbin/sendmail -t -i


Directive	Local Value	Master Value
assert.active	1	1
assert.bail	0	0
assert.callback	/no value/	/no value/
assert.quiet_eval	0	0
assert.warning	1	1
auto_detect_line_endings	0	0
default_socket_timeout	60	60
safe_mode_allowed_env_vars	PHP_	PHP_
safe_mode_protected_env_vars	LD_LIBRARY_PATH	LD_LIBRARY_PATH
url_rewriter.tags	a=href,area=href,frame=src,input=src,form=fakeentry
a=href,area=href,frame=src,input=src,form=fakeentry
user_agent	/no value/	/no value/


    sysvmsg

sysvmsg support 	enabled
Revision 	$Revision: 1.20.2.3 $


    tokenizer

Tokenizer Support 	enabled


    wddx

WDDX Support	enabled
WDDX Session Serializer 	enabled


    xml

XML Support 	active
XML Namespace Support 	active
libxml2 Version 	2.6.26


    xmlreader

XMLReader 	enabled


    xmlwriter

XMLWriter 	enabled


    xsl

XSL 	enabled
libxslt Version 	1.1.17
libxslt compiled against libxml Version 	2.6.26
EXSLT 	enabled
libexslt Version 	1.1.17


    zlib

ZLib Support 	enabled
Stream Wrapper support 	compress.zlib://
Stream Filter support 	zlib.inflate, zlib.deflate
Compiled Version 	1.2.3
Linked Version 	1.2.3


Directive	Local Value	Master Value
zlib.output_compression	Off	Off
zlib.output_compression_level	-1	-1
zlib.output_handler	/no value/	/no value/


    Additional Modules

Module Name
dbase
sysvsem
sysvshm


    Environment

Variable	Value
TERM 	xterm
LD_LIBRARY_PATH 	:/opt/oracle/product/10.2.0/lib
PATH 	/sbin:/usr/sbin:/bin:/usr/bin
PWD 	/
LANG 	C
SHLVL 	2
ORACLE_HOME 	/opt/oracle/product/10.2.0
_ 	/usr/sbin/httpd
KRB5RCACHETYPE 	none
KRB5_KTNAME 	/etc/krb5.keytab


    PHP Variables

Variable	Value
_REQUEST["SMIDENTITY"]	kADGbGWV/f/5oRgiKnRazmtTF9qk4CTROuEeyOqFZ82YA zjb
ceHfArnhTW6oL8LWlOjeY4yYX66LU5Aj1tnjD9GxNLdhUgYN8SQKvg7AAinVKR2rOWs7tQHbgfuyCMNc87JH1hY9QS4btHO
Le/2pDvaoCh4UMaCA5iM4N4vAeJ3Wlsws11h0oI9FF2m6B6zbX6rTqmIo/4crH1pGr96FB/RlfBVVcYTWwuAieS2FiHtN
gTPlixmc1nTIDEtNwihhLbE1CDd1ebU29N3e9YWMp3LsV5tX3wiIVTPujH9u3
c67CaGxX4BETU/JESCYIoutxBRo1z1r41Hmzu7diythnM6JJ0kpXjkFKoYpO6sHPKnLZP8uOioyR81OJ5viPb9gGL2EEqjzrkaBr3ba6KNC
7V Ax XZ0GLtLv8Z/84NqWa
5yt5Kkfs0M9fSzgk04koFmmpAAdsHZsyubkqpI5JrbEcrk9p7wvcJST4GqgLm/gPr5u8YBxn05AYI0jY64MY50adUxgEd5JzvocTOa4MB/gSgvjh2aMS8p8bqzQm2cV7BWZalV2iBaxcAc0lUU9CvctY1KkaQAT3fJzMgP1WGyBkbZbBFlqBwvUGnYmQX0P8g4xNHVFpxyNVjWj/PC8rOaLSfuTETyCXfYzl3P37lfdj/m
uy/41d789deLZp0Bf0KpuNAKoIOpOekdTbVJd/MJmjJg75fd279JJgpVvWopCNng5es5q/1ceW5cvwp7afaN45eq3qggAnUgDsjqWUtizgrM6QcvoU3Zy
KAgk2FL7Q
_REQUEST["PHPSESSID"]	9moicsalm5mclh59t24n5r14l6
_REQUEST["sa"]	showphpinfo
_GET["sa"]	showphpinfo
_COOKIE["SMIDENTITY"]	kADGbGWV/f/5oRgiKnRazmtTF9qk4CTROuEeyOqFZ82YA zjb
ceHfArnhTW6oL8LWlOjeY4yYX66LU5Aj1tnjD9GxNLdhUgYN8SQKvg7AAinVKR2rOWs7tQHbgfuyCMNc87JH1hY9QS4btHO
Le/2pDvaoCh4UMaCA5iM4N4vAeJ3Wlsws11h0oI9FF2m6B6zbX6rTqmIo/4crH1pGr96FB/RlfBVVcYTWwuAieS2FiHtN
gTPlixmc1nTIDEtNwihhLbE1CDd1ebU29N3e9YWMp3LsV5tX3wiIVTPujH9u3
c67CaGxX4BETU/JESCYIoutxBRo1z1r41Hmzu7diythnM6JJ0kpXjkFKoYpO6sHPKnLZP8uOioyR81OJ5viPb9gGL2EEqjzrkaBr3ba6KNC
7V Ax XZ0GLtLv8Z/84NqWa
5yt5Kkfs0M9fSzgk04koFmmpAAdsHZsyubkqpI5JrbEcrk9p7wvcJST4GqgLm/gPr5u8YBxn05AYI0jY64MY50adUxgEd5JzvocTOa4MB/gSgvjh2aMS8p8bqzQm2cV7BWZalV2iBaxcAc0lUU9CvctY1KkaQAT3fJzMgP1WGyBkbZbBFlqBwvUGnYmQX0P8g4xNHVFpxyNVjWj/PC8rOaLSfuTETyCXfYzl3P37lfdj/m
uy/41d789deLZp0Bf0KpuNAKoIOpOekdTbVJd/MJmjJg75fd279JJgpVvWopCNng5es5q/1ceW5cvwp7afaN45eq3qggAnUgDsjqWUtizgrM6QcvoU3Zy
KAgk2FL7Q
_COOKIE["PHPSESSID"]	9moicsalm5mclh59t24n5r14l6
_SERVER["SCRIPT_URL"]	/limesurvey/index.php/admin/globalsettings/showphpinfo
_SERVER["SCRIPT_URI"]
http://sl03usx2.risorse.enel/limesurvey/index.php/admin/globalsettings/showphpinfo
_SERVER["allow"]	1
_SERVER["HTTP_HOST"]	sl03usx2.risorse.enel
_SERVER["HTTP_USER_AGENT"]	Mozilla/5.0 (X11; Linux i686; rv:20.0)
Gecko/20100101 Firefox/20.0
_SERVER["HTTP_ACCEPT"]
text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
_SERVER["HTTP_ACCEPT_LANGUAGE"]	it,it-it;q=0.8,en-us;q=0.5,en;q=0.3
_SERVER["HTTP_ACCEPT_ENCODING"]	gzip, deflate
_SERVER["HTTP_REFERER"]
http://sl03usx2.risorse.enel/limesurvey/index.php/admin/globalsettings
_SERVER["HTTP_COOKIE"]
SMIDENTITY=kADGbGWV/f/5oRgiKnRazmtTF9qk4CTROuEeyOqFZ82YA+zjb+ceHfArnhTW6oL8LWlOjeY4yYX66LU5Aj1tnjD9GxNLdhUgYN8SQKvg7AAinVKR2rOWs7tQHbgfuyCMNc87JH1hY9QS4btHO+Le/2pDvaoCh4UMaCA5iM4N4vAeJ3Wlsws11h0oI9FF2m6B6zbX6rTqmIo/4crH1pGr96FB/RlfBVVcYTWwuAieS2FiHtN+gTPlixmc1nTIDEtNwihhLbE1CDd1ebU29N3e9YWMp3LsV5tX3wiIVTPujH9u3+c67CaGxX4BETU/JESCYIoutxBRo1z1r41Hmzu7diythnM6JJ0kpXjkFKoYpO6sHPKnLZP8uOioyR81OJ5viPb9gGL2EEqjzrkaBr3ba6KNC+7V+Ax+XZ0GLtLv8Z/84NqWa+5yt5Kkfs0M9fSzgk04koFmmpAAdsHZsyubkqpI5JrbEcrk9p7wvcJST4GqgLm/gPr5u8YBxn05AYI0jY64MY50adUxgEd5JzvocTOa4MB/gSgvjh2aMS8p8bqzQm2cV7BWZalV2iBaxcAc0lUU9CvctY1KkaQAT3fJzMgP1WGyBkbZbBFlqBwvUGnYmQX0P8g4xNHVFpxyNVjWj/PC8rOaLSfuTETyCXfYzl3P37lfdj/m+uy/41d789deLZp0Bf0KpuNAKoIOpOekdTbVJd/MJmjJg75fd279JJgpVvWopCNng5es5q/1ceW5cvwp7afaN45eq3qggAnUgDsjqWUtizgrM6QcvoU3Zy+KAgk2FL7Q;
PHPSESSID=9moicsalm5mclh59t24n5r14l6
_SERVER["HTTP_CONNECTION"]	keep-alive
_SERVER["PATH"]	/sbin:/usr/sbin:/bin:/usr/bin
_SERVER["SERVER_SIGNATURE"]	<address>Apache/2.2.3 (CentOS) Server at
sl03usx2.risorse.enel Port 80</address>
_SERVER["SERVER_SOFTWARE"]	Apache/2.2.3 (CentOS)
_SERVER["SERVER_NAME"]	sl03usx2.risorse.enel
_SERVER["SERVER_ADDR"]	10.36.72.17
_SERVER["SERVER_PORT"]	80
_SERVER["REMOTE_ADDR"]	10.36.66.60
_SERVER["DOCUMENT_ROOT"]	/var/www/html
_SERVER["SERVER_ADMIN"]	root@sl03usx2.risorse.enel
_SERVER["SCRIPT_FILENAME"]	/var/www/html/limesurvey/index.php
_SERVER["REMOTE_PORT"]	56148
_SERVER["GATEWAY_INTERFACE"]	CGI/1.1
_SERVER["SERVER_PROTOCOL"]	HTTP/1.1
_SERVER["REQUEST_METHOD"]	GET
_SERVER["QUERY_STRING"]	/no value/
_SERVER["REQUEST_URI"]
/limesurvey/index.php/admin/globalsettings/showphpinfo
_SERVER["SCRIPT_NAME"]	/limesurvey/index.php
_SERVER["PATH_INFO"]	/admin/globalsettings/showphpinfo
_SERVER["PATH_TRANSLATED"]	/var/www/html/admin/globalsettings/showphpinfo
_SERVER["PHP_SELF"]	/limesurvey/index.php/admin/globalsettings/showphpinfo
_SERVER["REQUEST_TIME"]	1365434383
_ENV["TERM"]	xterm
_ENV["LD_LIBRARY_PATH"]	:/opt/oracle/product/10.2.0/lib
_ENV["PATH"]	/sbin:/usr/sbin:/bin:/usr/bin
_ENV["PWD"]	/
_ENV["LANG"]	C
_ENV["SHLVL"]	2
_ENV["ORACLE_HOME"]	/opt/oracle/product/10.2.0
_ENV["_"]	/usr/sbin/httpd
_ENV["KRB5RCACHETYPE"]	none
_ENV["KRB5_KTNAME"]	/etc/krb5.keytab


    PHP License

This program is free software; you can redistribute it and/or modify it
under the terms of the PHP License as published by the PHP Group and
included in the distribution in the file: LICENSE

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

If you did not receive a copy of the PHP license, or have any questions
about PHP licensing, please contact license@php.net.


phpinfo.txt (26,093 bytes)   
sandrocasali

sandrocasali

2013-04-09 09:39

reporter   ~24920

I have the same problem in /limesurvey/index.php/admin/statistics/sa/index/surveyid/21854 action :

Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute.

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.

Thank you.
c_schmitz

c_schmitz

2013-04-21 22:11

administrator   ~25011

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12316
c_schmitz

c_schmitz

2013-04-21 22:12

administrator   ~25012

For the second issue please create a new bug report, set debug to 1 in /application/config/config.php and see if you get a more detailed debug output. Please attach it to the bug, too. Thank you.
c_schmitz

c_schmitz

2013-04-23 16:30

administrator   ~25092

2.00+ Build 130424 release

Related Changesets

LimeSurvey: master 5ee16946

2013-04-21 20:11:35

c_schmitz

Details Diff
Fixed issue 07742: Display "Manage survey administrators" page broken Affected Issues
07742
mod - application/views/admin/user/editusers.php Diff File

Issue History

Date Modified Username Field Change
2013-04-08 17:28 sandrocasali New Issue
2013-04-08 17:28 sandrocasali File Added: phpinfo.txt
2013-04-09 09:39 sandrocasali Note Added: 24920
2013-04-21 22:11 c_schmitz Assigned To => c_schmitz
2013-04-21 22:11 c_schmitz Status new => assigned
2013-04-21 22:11 c_schmitz Changeset attached => LimeSurvey master 5ee16946
2013-04-21 22:11 c_schmitz Note Added: 25011
2013-04-21 22:11 c_schmitz Resolution open => fixed
2013-04-21 22:12 c_schmitz Note Added: 25012
2013-04-21 22:12 c_schmitz Status assigned => resolved
2013-04-21 22:12 c_schmitz Fixed in Version => 2.00+
2013-04-23 16:30 c_schmitz Note Added: 25092
2013-04-23 16:30 c_schmitz Status resolved => closed